#
# spec file for package eressea (Version 0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel libpng unzip xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         eressea
Summary:      Tools for the German PBEM game Eressea
Version:      0.5
Release:      141
Group:        Amusements/Games
Source0:      ECheck.tar.gz
Source1:      mercator_src.zip
Source2:      mercator_img.zip
Source3:      report1115.tgz
Source4:      Eressea.ps.zip
Source5:      Eressea_HTML.zip
Source6:      hex.uni.zip
Source7:      crtools.zip
Source8:      magellan.jar
Source9:      magellan-stable.jar
Source11:     ECheck_Add.tar.gz
Source12:     jeclient
Source13:     ECheck.html
Source14:     send_move
Source15:     check_move
Source16:     Eressea.asc.zip
Source17:     vorl15b1.tar.gz
Source18:     vdoku14b13a.zip
Source19:     vorlage
Source20:     request_move
Copyright:    GPL
AutoReqProv:  yes
Prefix:       /usr/games
Provides:     echeck mercator greport crtools vorlage magellan
BuildRoot:    /tmp/buildroot

%description
Eressea is German PBEM (Play By E-Mail) game.  This package contains some
useful tools for easy handling of game reports.  You can find detailed
information about this PBEM game on www.eressea-pbem.de .  Note that the
game is in German.

Authors:
--------
    Enno Rehling <enno@upb.de>
    Roger Butenuth <butenuth@online.de>
    Stefan Reich <reich@in.tum.de>

SuSE series: fun

%prep
cd ${RPM_BUILD_DIR}
(mkdir echeck; cd echeck; tar xzf ${RPM_SOURCE_DIR}/ECheck.tar.gz)
(mkdir crtools; cd crtools; unzip ${RPM_SOURCE_DIR}/crtools.zip)
(mkdir mercator; cd mercator; unzip ${RPM_SOURCE_DIR}/mercator_src.zip)
(tar xzf ${RPM_SOURCE_DIR}/report1115.tgz)
(mkdir vorlage; cd vorlage; tar xzf ${RPM_SOURCE_DIR}/vorl15b1.tar.gz)

%build
cd ${RPM_BUILD_DIR}/echeck; make -f Makefile.echeck; strip echeck
cd ${RPM_BUILD_DIR}/crtools; make; strip $OSTYPE-$HOSTTYPE/*
cd ${RPM_BUILD_DIR}/mercator; make; strip mercator
cd ${RPM_BUILD_DIR}/report; make; strip greport report

%install
install -d -m 755 ${RPM_BUILD_ROOT}/usr/games/eressea
install -d -m 755 ${RPM_BUILD_ROOT}/usr/games/eressea/bin
install -d -m 755 ${RPM_BUILD_ROOT}/usr/games/eressea/lib
install -d -m 755 ${RPM_BUILD_ROOT}/usr/games/eressea/libexec
install -d -m 755 ${RPM_BUILD_ROOT}/usr/games/eressea/share
install -d -m 755 ${RPM_BUILD_ROOT}/usr/games/eressea/doc
install -d -m 755 ${RPM_BUILD_ROOT}/usr/games/eressea/doc/html
install -d -m 755 ${RPM_BUILD_ROOT}/usr/games/eressea/doc/vorlage
install -d -m 755 ${RPM_BUILD_ROOT}/usr/games/eressea/etc
install -d -m 755 ${RPM_BUILD_ROOT}/usr/games/eressea/src
install -d -m 755 ${RPM_BUILD_ROOT}/usr/games/eressea/src/crparser
install -d -m 755 ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea
# echeck binary
install -m 755 ${RPM_BUILD_DIR}/echeck/echeck ${RPM_BUILD_ROOT}/usr/games/eressea/bin
(cd ${RPM_BUILD_ROOT}/usr/games/eressea/etc; tar xvzf ${RPM_SOURCE_DIR}/ECheck_Add.tar.gz)
install -m 755 ${RPM_SOURCE_DIR}/ECheck.html ${RPM_BUILD_ROOT}/usr/games/eressea/doc
install -m 755 ${RPM_SOURCE_DIR}/check_move ${RPM_BUILD_ROOT}/usr/games/eressea/bin
install -m 755 ${RPM_SOURCE_DIR}/send_move ${RPM_BUILD_ROOT}/usr/games/eressea/bin
install -m 755 ${RPM_SOURCE_DIR}/request_move ${RPM_BUILD_ROOT}/usr/games/eressea/bin
# eressea manuals
(cd ${RPM_BUILD_ROOT}/usr/games/eressea/doc; unzip ${RPM_SOURCE_DIR}/Eressea.ps.zip; gzip -9 Eressea.ps)
(cd ${RPM_BUILD_ROOT}/usr/games/eressea/doc; unzip ${RPM_SOURCE_DIR}/Eressea.asc.zip; mv Eressea.asc Eressea.txt)
(cd ${RPM_BUILD_ROOT}/usr/games/eressea/doc/html; unzip -u -o ${RPM_SOURCE_DIR}/Eressea_HTML.zip)
# eressea crtools
for prg in `ls ${RPM_BUILD_DIR}/crtools/$OSTYPE-$HOSTTYPE`; do
  install -m 755 ${RPM_BUILD_DIR}/crtools/$OSTYPE-$HOSTTYPE/$prg ${RPM_BUILD_ROOT}/usr/games/eressea/bin
done
install -m 644 ${RPM_BUILD_DIR}/crtools/map.crf ${RPM_BUILD_ROOT}/usr/games/eressea/etc
install -m 644 ${RPM_BUILD_DIR}/crtools/standard.crh ${RPM_BUILD_ROOT}/usr/games/eressea/etc
install -m 644 ${RPM_BUILD_DIR}/crtools/crparse.[ch] ${RPM_BUILD_ROOT}/usr/games/eressea/src/crparser
install -m 644 ${RPM_BUILD_DIR}/crtools/crdata.[ch] ${RPM_BUILD_ROOT}/usr/games/eressea/src/crparser
install -m 644 ${RPM_BUILD_DIR}/crtools/config.h ${RPM_BUILD_ROOT}/usr/games/eressea/src/crparser
install -m 644 ${RPM_BUILD_DIR}/crtools/gpl.txt ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea/GPL
install -m 644 ${RPM_BUILD_DIR}/crtools/readme.txt ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea/README.crtools
install -m 644 ${RPM_BUILD_DIR}/crtools/usage.txt ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea/crtools.usage
install -m 644 ${RPM_BUILD_DIR}/crtools/changelog ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea/crtools.changelog
(cd ${RPM_BUILD_ROOT}/usr/games/eressea/share; unzip -u -o ${RPM_SOURCE_DIR}/hex.uni.zip)
# eressea java client
install -m 755 ${RPM_SOURCE_DIR}/jeclient ${RPM_BUILD_ROOT}/usr/games/eressea/bin
install -m 644 ${RPM_SOURCE_DIR}/magellan.jar ${RPM_BUILD_ROOT}/usr/games/eressea/libexec/magellan-snapshot.jar
install -m 644 ${RPM_SOURCE_DIR}/magellan-stable.jar ${RPM_BUILD_ROOT}/usr/games/eressea/libexec
(cd ${RPM_BUILD_ROOT}/usr/games/eressea/libexec; ln -s magellan-stable.jar magellan.jar)
# mercator binary
install -m 755 ${RPM_BUILD_DIR}/mercator/mercator ${RPM_BUILD_ROOT}/usr/games/eressea/bin
install -m 755 ${RPM_BUILD_DIR}/mercator/gotoline ${RPM_BUILD_ROOT}/usr/games/eressea/bin
(cd ${RPM_BUILD_ROOT}/usr/games/eressea/share; unzip -u -o ${RPM_SOURCE_DIR}/mercator_img.zip)
install -m 644 ${RPM_BUILD_DIR}/mercator/README ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea/README.mercator
# greport binary
install -m 755 ${RPM_BUILD_DIR}/report/greport ${RPM_BUILD_ROOT}/usr/games/eressea/bin
install -m 755 ${RPM_BUILD_DIR}/report/report ${RPM_BUILD_ROOT}/usr/games/eressea/bin
install -m 644 ${RPM_BUILD_DIR}/report/DISCLAIMER ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea/greport.DISCLAIMER
install -m 644 ${RPM_BUILD_DIR}/report/README.FIRST ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea/README.greport
install -m 644 ${RPM_BUILD_DIR}/report/TODO ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea/greport.TODO
install -m 644 ${RPM_BUILD_DIR}/report/History ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea/greport.History
install -m 644 ${RPM_BUILD_DIR}/report/README.SCRIPT ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea/SCRIPT.greport
# vorlage binary
install -m 755 ${RPM_BUILD_DIR}/vorlage/vorlage ${RPM_BUILD_ROOT}/usr/games/eressea/bin/vorlage.x
install -m 755 ${RPM_SOURCE_DIR}/vorlage ${RPM_BUILD_ROOT}/usr/games/eressea/bin
install -m 644 ${RPM_BUILD_DIR}/vorlage/beispiel.vms ${RPM_BUILD_ROOT}/usr/games/eressea/etc
install -m 644 ${RPM_BUILD_DIR}/vorlage/.eressearc ${RPM_BUILD_ROOT}/usr/games/eressea/etc/eressearc
install -m 644 ${RPM_BUILD_DIR}/vorlage/.verdanonrc ${RPM_BUILD_ROOT}/usr/games/eressea/etc/verdanonrc
install -m 644 ${RPM_BUILD_DIR}/vorlage/.vorlagerc ${RPM_BUILD_ROOT}/usr/games/eressea/etc/vorlagerc
install -m 644 ${RPM_BUILD_DIR}/vorlage/history.txt ${RPM_BUILD_ROOT}%{_defaultdocdir}/eressea/vorlage.history
(cd ${RPM_BUILD_ROOT}/usr/games/eressea/doc/vorlage; unzip -u -o ${RPM_SOURCE_DIR}/vdoku14b13a.zip)

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -rf ${RPM_BUILD_DIR}/*

%files
%defattr(-,root,root)
/usr/games/eressea
%doc %{_defaultdocdir}/eressea

%changelog -n eressea
* Wed Nov 29 2000 - freitag@suse.de
- updated to newer version
* Mon Nov 06 2000 - ro@suse.de
- really fixed neededforbuild
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Fri Jul 21 2000 - marquardt@suse.de
- added needed bugfix for greport
* Wed Jul 19 2000 - marquardt@suse.de
- fixed bug in greport (-> update to 1.10)
* Mon Jul 10 2000 - marquardt@suse.de
- fixed bug in crtools (new version)
* Mon Jul 10 2000 - marquardt@suse.de
- updated echeck, added jclient, added ascii docu
* Fri Jun 23 2000 - marquardt@suse.de
- updated to 0.3 / fixed some spec file bugs
* Tue Jun 20 2000 - marquardt@suse.de
- fixed bug in spec file
* Mon Jun 19 2000 - marquardt@suse.de
- updated greport to 1.09 (minor bugfixes)
* Mon Jun 19 2000 - ro@suse.de
- maked all files as Sources
- removed gcc from neededforbuild
* Mon May 29 2000 - marquardt@suse.de
- initial version
